import request from '@/utils/request'

// 查询studyNation列表
export function listStudyNation(query) {
  return request({
    url: '/system/studyNation/list',
    method: 'get',
    params: query
  })
}

// 查询studyNation详细
export function getStudyNation(id) {
  return request({
    url: '/system/studyNation/' + id,
    method: 'get'
  })
}

// 新增studyNation
export function addStudyNation(data) {
  return request({
    url: '/system/studyNation',
    method: 'post',
    data: data
  })
}

// 修改studyNation
export function updateStudyNation(data) {
  return request({
    url: '/system/studyNation',
    method: 'put',
    data: data
  })
}

// 删除studyNation
export function delStudyNation(id) {
  return request({
    url: '/system/studyNation/' + id,
    method: 'delete'
  })
}
// 删除文件
export function delFile(ids) {
  return request({
    url: '/system/studyNation/' + ids,
    method: 'delete'
  })
}